summaryrefslogtreecommitdiffstats
path: root/busybox.pkg/postinst
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-06-04 23:08:41 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-06-04 23:08:41 (EDT)
commit9de16d22b0ac3cbb74793faa913db889d8151ee5 (patch)
tree0f6ed6fe2701368c036c0da9e72be362963d68b6 /busybox.pkg/postinst
parent79d474a5fdc0ea8b9e05f5b68567dbbe9086e4ca (diff)
parentb98d2d2ad1e341a6493fcd5531d605e8427665ca (diff)
Merge branch 'feature/init-system-improvements'.
Diffstat (limited to 'busybox.pkg/postinst')
-rwxr-xr-xbusybox.pkg/postinst17
1 files changed, 16 insertions, 1 deletions
diff --git a/busybox.pkg/postinst b/busybox.pkg/postinst
index d74c331..fa5e152 100755
--- a/busybox.pkg/postinst
+++ b/busybox.pkg/postinst
@@ -9,10 +9,25 @@ if [ "x${1}" = 'xconfigure' ]; then
exec 3>/etc/network/interfaces
printf 'auto lo\niface lo inet loopback\n\n' >&3
for iface in /sys/class/net/eth*; do
- iface="${iface#*/}"
+ iface="${iface##*/}"
printf 'auto %s\niface %s inet dhcp\n\n' \
"${iface}" "${iface}" >&3
done
exec 3>&-
fi
+ if ! [ -f /etc/rc.policy ]; then
+ if [ "x$(cat /etc/proteanos_plat)" = 'xdev' ]; then
+ printf 'disabled\n' >/etc/rc.policy
+ else
+ printf 'enabled\n' >/etc/rc.policy
+ fi
+ fi
+ if [ -f /usr/share/busybox/init-scripts ]; then
+ for script in $(cat /usr/share/busybox/init-scripts); do
+ if [ "x${2:+set}" != 'xset' ]; then
+ "/etc/init.d/${script}" enable
+ fi
+ "/etc/init.d/${script}" start
+ done
+ fi
fi